Notice: We have migrated to GitLab launching 2024-05-01 see here: https://gitlab.rtems.org/

#3085 closed enhancement (fixed)

Add hypervisor support for QorIQ BSPs

Reported by: Sebastian Huber Owned by: Sebastian Huber
Priority: normal Milestone: 5.1
Component: arch/powerpc Version: 5
Severity: normal Keywords:
Cc: Blocked By:
Blocking:

Description

Change History (37)

comment:1 Changed on 07/28/17 at 08:49:28 by Sebastian Huber <sebastian.huber@…>

In [changeset:"b615e9b3eee2608ec9982c16f9cf4551124f4c4e/rtems" b615e9b/rtems]:

bsp/qoriq: Simplify initialization

Do not flush/invalidate the caches. Instead enable the cache during the
low-level initialization and perform an explicit cache flush for the
read-only and fast-text sections.

Update #3082.
Update #3085.

comment:2 Changed on 07/28/17 at 08:49:42 by Sebastian Huber <sebastian.huber@…>

In [changeset:"0db7c550aca1520899702cd170738481096af667/rtems" 0db7c55/rtems]:

bsp/qoriq: New BSP names

Due to the FDT support we can now reduce the BSP variants. Use the
processor core to define the BSP variants.

Update #3082.
Update #3085.

comment:3 Changed on 07/28/17 at 13:40:58 by Sebastian Huber <sebastian.huber@…>

In [changeset:"8966e8a3a07d341adf1c539e985c2c82202f6c96/rtems" 8966e8a/rtems]:

bsp/qoriq: Fix pre-processor expansion

Update #3082.
Update #3085.

comment:4 Changed on 07/31/17 at 12:46:02 by Sebastian Huber <sebastian.huber@…>

In [changeset:"a597984b991a000bbd9aa9b3fe1b7c3365cc3c50/rtems" a597984/rtems]:

powerpc: Add register defines

Update #3082.
Update #3085.

comment:5 Changed on 09/12/17 at 08:01:28 by Sebastian Huber <sebastian.huber@…>

In [changeset:"458179f19e83dd8b57d8f7f0e87e85c385465e76/rtems" 458179f1/rtems]:

bsp/qoriq: Remove console stuff from bsp_start()

Update #3085.

comment:6 Changed on 09/12/17 at 08:01:41 by Sebastian Huber <sebastian.huber@…>

In [changeset:"20fc4f95aabc835e4734acbc7bb014f656640d40/rtems" 20fc4f9/rtems]:

bsp/qoriq: Add QORIQ_IS_HYPERVISOR_GUEST

Update #3085.

comment:7 Changed on 09/12/17 at 08:01:53 by Sebastian Huber <sebastian.huber@…>

In [changeset:"0ce5bfb984724a6034be7ca8ff7f7a5b4ab39925/rtems" 0ce5bfb/rtems]:

bsp/qoriq: Do not touch MMU as hypervisor guest

Update #3085.

comment:8 Changed on 09/12/17 at 08:02:05 by Sebastian Huber <sebastian.huber@…>

In [changeset:"b742de24c07b40013ca71f3c268a5928709b1506/rtems" b742de2/rtems]:

bsp/qoriq: Boot page translation

Do not mingle with the boot page translation as hypervisor guest.

Update #3085.

comment:9 Changed on 09/12/17 at 08:02:17 by Sebastian Huber <sebastian.huber@…>

In [changeset:"0d51c05bb61e83613fd9f01c717baec3c9636e32/rtems" 0d51c05/rtems]:

bsp/qoriq: Import ePAPR hcalls from Linux 4.12

Update #3085.

comment:10 Changed on 09/12/17 at 08:02:30 by Sebastian Huber <sebastian.huber@…>

In [changeset:"356b1b8516bc16467feacf54ad0b602bee8261d1/rtems" 356b1b85/rtems]:

bsp/qoriq: Port ePAPR hcall interface to RTEMS

Update #3085.

comment:11 Changed on 09/12/17 at 08:02:42 by Sebastian Huber <sebastian.huber@…>

In [changeset:"134fe569018f0cf959187757ab8516c20e4338d5/rtems" 134fe56/rtems]:

bsp/qoriq: Add byte channel console driver

Update #3085.

comment:12 Changed on 09/12/17 at 08:02:54 by Sebastian Huber <sebastian.huber@…>

In [changeset:"df62e51974e2f6919315baa859f39d1d8c3ae7f3/rtems" df62e51/rtems]:

bsp/qoriq: Virtual interrupt controller support

Update #3085.

comment:13 Changed on 09/19/17 at 12:36:04 by Sebastian Huber <sebastian.huber@…>

In [changeset:"599e6fbdd8b12ba4a876545c8d809cd3ac4dd272/rtems" 599e6fbd/rtems]:

bsps/powerpc: PPC_EXC_CONFIG_USE_FIXED_HANDLER

Make PPC_EXC_CONFIG_USE_FIXED_HANDLER mandatory for BSPs using
ppc_exc_interrupt(). Pass exception number to bsp_interrupt_dispatch()
to allow processing of decrementer and doorbell exceptions as hypervisor
guest.

Update #3085.

comment:14 Changed on 09/19/17 at 12:36:17 by Sebastian Huber <sebastian.huber@…>

In [changeset:"fd70e20621e652f7bd6553ad4e0c39d6c5eccfdc/rtems" fd70e206/rtems]:

bsp/qoriq: Add early debug output initialization

Update #3085.

comment:15 Changed on 09/19/17 at 12:36:29 by Sebastian Huber <sebastian.huber@…>

In [changeset:"ec28f31138bd0becb9d199c51369b8cba2951ab7/rtems" ec28f31/rtems]:

bsp/qoriq: Add decrementer clock driver

Update #3085.

comment:16 Changed on 09/19/17 at 12:36:41 by Sebastian Huber <sebastian.huber@…>

In [changeset:"44c011439cc56c74e70943a2851ea54b62bd0a4a/rtems" 44c0114/rtems]:

bsp/qoriq: Reduce static memory demands

Update #3085.

comment:17 Changed on 09/19/17 at 12:36:52 by Sebastian Huber <sebastian.huber@…>

In [changeset:"6600882b193acf2c13df3cc94f39d5138aaaf730/rtems" 6600882b/rtems]:

bsp/qoriq: Avoid MAS8 access as hypervisor guest

Update #3085.

comment:18 Changed on 09/19/17 at 12:37:04 by Sebastian Huber <sebastian.huber@…>

In [changeset:"2720fbf0c2f8776a1c508f380beb21c8325e135b/rtems" 2720fbf0/rtems]:

bsp/qoriq: Avoid IVOR38..42 access as hv guest

Update #3085.

comment:19 Changed on 09/19/17 at 12:37:15 by Sebastian Huber <sebastian.huber@…>

In [changeset:"31540bfb81bb90b2aca8200b607c69f53ebab7b5/rtems" 31540bf/rtems]:

bsp/qoriq: MMU configuration as hypervisor guest

Re-enable MMU configuration as hypervisor guest. Make sure the
QORIQ_TLB1_ENTRY_COUNT is set according to the hypervisor configuration.

Update #3085.

comment:20 Changed on 09/19/17 at 12:37:27 by Sebastian Huber <sebastian.huber@…>

In [changeset:"f100a58c823d39fd202a584c2fdae8b7655a98ce/rtems" f100a58/rtems]:

bsp/qoriq: Add hypervisor guest SMP support

Update #3085.

comment:21 Changed on 09/19/17 at 12:42:12 by Sebastian Huber <sebastian.huber@…>

Resolution: fixed
Status: assignedclosed

In [changeset:"4c1f442e2550ca1088ed0115fb098e53b25dbb5d/rtems" 4c1f442/rtems]:

bsp/qoriq: Update README

Close #3085.

comment:22 Changed on 09/19/17 at 12:42:33 by Sebastian Huber

Milestone: Indefinite4.12.0
Version: 4.12

comment:23 Changed on 09/20/17 at 07:35:46 by Sebastian Huber <sebastian.huber@…>

In [changeset:"d7ed684d7001bec95e881bc5622e156548dd8070/rtems" d7ed684/rtems]:

bsps/powerpc: Fix PPC_EXC_CONFIG_USE_FIXED_HANDLER

Fix link-time error on BSPs not using PPC_EXC_CONFIG_USE_FIXED_HANDLER.

Update #3085.

comment:24 Changed on 09/21/17 at 11:33:28 by Sebastian Huber <sebastian.huber@…>

In [changeset:"b800f88a6370c1f090629c4d942443a9d4bede9c/rtems" b800f88/rtems]:

bsp/t32mppc: PPC_EXC_CONFIG_USE_FIXED_HANDLER

Fix link-time error.

Update #3085.

comment:25 Changed on 10/10/17 at 06:56:19 by Sebastian Huber

Component: bspsarch/powerpc

comment:26 Changed on 11/09/17 at 06:27:14 by Sebastian Huber

Milestone: 4.12.05.1

Milestone renamed

comment:27 Changed on 11/20/17 at 07:51:01 by Sebastian Huber <sebastian.huber@…>

In [changeset:"5018894ee176d1b05daf156a8b858b3db0d457f4/rtems" 5018894e/rtems]:

bsps/powerpc: Fix PPC_EXC_CONFIG_USE_FIXED_HANDLER

For the SPE support we must store the upper half of r3 as well.

Update #3085.

comment:28 Changed on 01/22/18 at 09:38:44 by Sebastian Huber <sebastian.huber@…>

In [changeset:"5ce2dfaf4e4abbbfdc09f1ac7180edf19e5c5d11/rtems" 5ce2dfa/rtems]:

powerpc: Add FSL_EIS_EPR

Update #3085.

comment:29 Changed on 01/22/18 at 09:38:55 by Sebastian Huber <sebastian.huber@…>

In [changeset:"9ec5ff4e577c2c06b8a839f090761f55fa70fab8/rtems" 9ec5ff4e/rtems]:

bsp/qoriq: Fix hypervisor guest MMU config

Account for DPAA resources defined in the device tree.

Prevent merging of areas with incompatible MAS2.

Update #3085.

comment:30 Changed on 01/22/18 at 09:39:07 by Sebastian Huber <sebastian.huber@…>

In [changeset:"81eced537616127cc9ce38a876fdadefc278493d/rtems" 81eced53/rtems]:

bsp/qoriq: Fix bsp_fdt_map_intr()

Update #3085.

comment:31 Changed on 01/22/18 at 09:39:18 by Sebastian Huber <sebastian.huber@…>

In [changeset:"2f54488f7497e94e92558457251e02d19f22aaf1/rtems" 2f54488f/rtems]:

bsp/qoriq: Fix hypervisor guest IRQ support

Update #3085.

comment:32 Changed on 01/22/18 at 09:39:30 by Sebastian Huber <sebastian.huber@…>

In [changeset:"44ba969c158fa96b73bdfa89120896a7d3595248/rtems" 44ba969/rtems]:

bsp/qoriq: Fix hypervisor guest polled console

Update #3085.

comment:33 Changed on 01/22/18 at 09:39:42 by Sebastian Huber <sebastian.huber@…>

In [changeset:"0df59b7cbba93829c80b4e3d5ae4a8f0878d6721/rtems" 0df59b7c/rtems]:

bsp/qoriq: Optional multiprocessing support

Update #3085.

comment:34 Changed on 01/22/18 at 09:39:53 by Sebastian Huber <sebastian.huber@…>

In [changeset:"2fd684e233985eac6e7a7da02026b9e95a178ffd/rtems" 2fd684e/rtems]:

bsp/qoriq: Fix hypervisor guest irq vector max

Update #3085.

comment:35 Changed on 01/22/18 at 09:40:05 by Sebastian Huber <sebastian.huber@…>

In [changeset:"b391fbc61c6f528a1b2a675f1376ff693601cdeb/rtems" b391fbc6/rtems]:

bsp/qoriq: Fix hypervisor guest interrupt init

Update #3085.

comment:36 Changed on 01/23/18 at 06:30:46 by Sebastian Huber <sebastian.huber@…>

In [changeset:"469fdebf25198ae6f03225e51c347567365b77bc/rtems" 469fdeb/rtems]:

bsp/qoriq: Fix define for optional intercom

Update #3085.

comment:37 Changed on 03/20/18 at 06:42:19 by Sebastian Huber <sebastian.huber@…>

In [changeset:"5d44981c2d8891478423af82316576d00f6352ea/rtems" 5d44981c/rtems]:

bsp/qoriq: Fix bsp_restart()

Update #3085.

Note: See TracTickets for help on using tickets.